use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::ISpecialBlock;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "special_block")]
pub(crate) struct RenderSpecialBlock {}

impl RenderSpecialBlock {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        _original: &ISpecialBlock,
    ) -> Result<RenderSpecialBlock, CustomError> {
        Ok(RenderSpecialBlock {})
    }
}
