use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IExampleBlock;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "example_block")]
pub(crate) struct RenderExampleBlock {}

impl RenderExampleBlock {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        _original: &IExampleBlock,
    ) -> Result<RenderExampleBlock, CustomError> {
        Ok(RenderExampleBlock {})
    }
}
