use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IOrgMacro;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "org_macro")]
pub(crate) struct RenderOrgMacro {}

impl RenderOrgMacro {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        _comment: &IOrgMacro,
    ) -> Result<RenderOrgMacro, CustomError> {
        Ok(RenderOrgMacro {})
    }
}
